#define F_CPU		16000000UL

#define Framerate	100

#define GRAYSCALE				// Graustufen einschalten
#define GRAY8					// 8 Graustufen verwenden
#define	GRAYMOD		3			// Vermeidet Flackern der Graustufen 
#define COMMAND_TIMEOUT	100		// Timeout in Frames
#define HWLP					// LP per Output Compare1A erzeugen

//#define WAITSTATE				// Fr langsame SRAMs notwendig (laut Specs etwa alles >35ns, in der Praxis einfach mal ausprobieren)

#define FASTLOOP				// Geschwindigkeit auf Kosten des Flashverbrauchs erhhen

//#define TESTPULSE				// Impulse an PORTB0 fr CPU Load Messung: high solange im LCD Interrupt

#define XSIZE		320
#define YSIZE		240

#define XOScan		0
#define YOScan		0

#define TEXT_X		8
#define TEXT_Y		12
#define Zeilen		(YSIZE/TEXT_Y)
#define Spalten 	(XSIZE/TEXT_X)

#define DDRAM		1536

#define YMin		(DDRAM/256)
#define YMax		YMin+YSIZE
#define YScan		YMin+YSIZE+YOScan
#ifdef HWLP
#define	RELOAD		(F_CPU/(Framerate*(YSIZE+YOScan)))
#else
#define	RELOAD		(F_CPU/(8UL*Framerate*(YSIZE+YOScan)))
#endif
#define XVSIZESW	1024

// PortD
#define 	CKDIS	3
#define 	FLM		4
#define 	LP		5
#define 	WR		6
#define 	RD		7

// PortE
#define 	EnLCD	0
#define 	ALE		1
#define 	PWM1	2

